Rotate secret for a client

Request

Create a new secret and revoke the given secret of an SLB Authenticator Client.

Security
appkey and bearer
Path
clientIDstringrequired
Bodyapplication/json

details to rotate a client secret.

secretNamestring

name of the new secret to be created.

existingSecretIdstringrequired

secretId of the client that needs to revoked.

curl -i -X PUT \
  'https://api.delfi.slb.com/auth/client/v1/clients/{clientID}/secrets' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -d '{
    "secretName": "string",
    "existingSecretId": "string"
  }'

Responses

Success

Bodyapplication/json
secretNamestring
secretIdstringrequired

id of the new secret

secretValuestringrequired
revokedSecretIdstringrequired

secretId of the revoked secret

revokedSecretNamestring

name of the revoked secret

Response
{ "secretName": "string", "secretId": "string", "secretValue": "string", "revokedSecretId": "string", "revokedSecretName": "string" }